/**************************************************************
TA2024 mute drive
**************************************************************
	author air_variable
	http://www.ne.jp/asahi/air/variable/
	version: see below
	Tools:
	MPLAB v8.76
	Hitech PIC C pro9.83
---------------------------------------------------------------
Date	:Time	Version	Build	Note
20110924 22:28	1.00	---		Begin the program
---------------------------------------------------------------
Pin assignment 10F220 or 10F222
	[8 Lead Dip pin package]
	1::NC
	2:pickit2-2:VDD(+)
	3:         :GP2:O:Mute out
	4:pickit2-5:GP1:O:Speaker out(use transister)
	5:pickit2-4:GP0:I:Not used
	6:         :NC
	7:pickit2-3:VSS:GND
	8:pickit2-1:MCLR/GP3:Not used

	[6 Lead SOT-23 packeage]
	1:pickit2-4:GP0:
	2:pickit2-3:VSS:GND
	3:pickit2-5:GP1:
	4:         :GP2:
	5:pickit2-2:VDD(+)
	8:pickit2-1:MCLR/GP3
*/
#include <htc.h>
#define MHz 000000
#define _XTAL_FREQ 4MHz

#define mute_off GP2 =0
#define mute_on GP2 =1
#define sp_off GP1 = 1
#define sp_on GP1 = 0

//Equal or greater than Hitech PICC 9.83
__CONFIG( OSC_IntRC & WDTE_OFF & MCLRE_OFF & CP_OFF);
//Hitech PICC 9.82 or later
//__CONFIG( OSC_IntRC & WDT_OFF & MCLRE_OFF & CP_OFF);


void delay_10ms(unsigned int temp){	//10ms multiple x times
	while(temp--){
		__delay_ms(10);
	}	
}

void main(void){
//	ANS1=0;//digital port set
//	ANS0=0;//digital port set
	OPTION   = 0b11011111;//TOCKI is internal 
  	TRISGPIO = 0b11111001;//GP1,2 is output

	mute_on;	// set high as mute
	sp_off;
	delay_10ms(100);
	mute_off;	// set high as mute
	delay_10ms(200);	//2 sec wait
	sp_on;
	
	while(1){
		asm("sleep");
	}	
}
